# TODO
# - gtk+2 applet possible as well

# Conditional build:
%bcond_without	gnomebt		# GNOME-Bluetooth plugin
#
%define		nmversion 2:0.9.8.4
Summary:	Network Manager for GNOME
Summary(pl.UTF-8):	Zarządca sieci dla GNOME
Name:		NetworkManager-applet
Version:	0.9.8.8
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/network-manager-applet/0.9/network-manager-applet-%{version}.tar.xz
# Source0-md5:	cceb4530e438926b66dfa5e9db17f20a
URL:		http://projects.gnome.org/NetworkManager/
BuildRequires:	GConf2-devel >= 2.20.0
BuildRequires:	ModemManager-devel >= 1.0.0
BuildRequires:	NetworkManager-devel >= %{nmversion}
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.10
BuildRequires:	dbus-devel >= 1.2.6
BuildRequires:	dbus-glib-devel >= 0.74
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.26.0
%{?with_gnomebt:BuildRequires:	gnome-bluetooth-devel >= 2.28.0}
BuildRequires:	gnome-common
BuildRequires:	gobject-introspection-devel >= 0.9.6
BuildRequires:	gtk+3-devel >= 3.2.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	iso-codes
BuildRequires:	libgnome-keyring-devel >= 2.20.0
BuildRequires:	libnotify-devel >= 0.7.0
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	tar >= 1:1.22
BuildRequires:	udev-glib-devel >= 1:147
BuildRequires:	xz
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires(post,preun):	GConf2
Requires:	NetworkManager >= %{nmversion}
Requires:	NetworkManager-gtk-lib = %{version}-%{release}
Requires:	dbus >= 1.2.6
Requires:	glib2 >= 1:2.26.0
Requires:	mobile-broadband-provider-info
Requires:	polkit-gnome
Suggests:	dbus(org.freedesktop.Notifications)
Obsoletes:	NetworkManager-applet-devel
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Network Manager Applet for GNOME.

%description -l pl.UTF-8
Aplet zarządcy sieci dla GNOME.

%package -n NetworkManager-gtk-lib
Summary:	GTK+ dialogs library for NetworkManager
Summary(pl.UTF-8):	Biblioteka okien dialogowych GTK+ dla NetworkManagera
Group:		X11/Libraries
Requires:	GConf2-libs >= 2.20.0
Requires:	NetworkManager-libs >= %{nmversion}
Requires:	glib2 >= 1:2.26.0
Requires:	gtk+3 >= 3.0.0

%description -n NetworkManager-gtk-lib
GTK+ dialogs library for NetworkManager.

%description -n NetworkManager-gtk-lib -l pl.UTF-8
Biblioteka okien dialogowych GTK+ dla NetworkManagera.

%package -n NetworkManager-gtk-lib-devel
Summary:	Development package for NetworkManager-gtk-lib
Summary(pl.UTF-8):	Pakiet programistyczny dla NetworkManager-gtk-lib
Group:		X11/Development/Libraries
Requires:	NetworkManager-gtk-lib = %{version}-%{release}
Requires:	GConf2-devel >= 2.20.0
Requires:	NetworkManager-devel >= %{nmversion}
Requires:	glib2-devel >= 1:2.26.0
Requires:	gtk+3-devel >= 3.0.0

%description -n NetworkManager-gtk-lib-devel
Header files and libraries for NetworkManager-gtk-lib.

%description -n NetworkManager-gtk-lib-devel -l pl.UTF-8
Pakiet programistyczny dla NetworkManager-gtk-lib.

%package -n gnome-bluetooth-plugin-nma
Summary:	NetworkManager applet plugin for GNOME Bluetooth
Summary(pl.UTF-8):	Wtyczka NetworkManager Applet dla GNOME Bluetooth
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	gnome-bluetooth >= 2.28.0

%description -n gnome-bluetooth-plugin-nma
NetworkManager applet plugin for GNOME Bluetooth.

%description -n gnome-bluetooth-plugin-nma -l pl.UTF-8
Wtyczka NetworkManager Applet dla GNOME Bluetooth.

%prep
%setup -q -n network-manager-applet-%{version}

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-gtkver=3 \
	--disable-silent-rules \
	--disable-static \
	--enable-more-warnings=yes \
	%{!?with_gnomebt:--without-bluetooth}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/gnome-vpn-properties

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with gnomebt}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/gnome-bluetooth/plugins/*.la
%endif
%{__rm}	$RPM_BUILD_ROOT%{_libdir}/libnm-gtk.la

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_icon_cache hicolor
if [ "$1" = "0" ]; then
	%glib_compile_schemas
fi

%post   -n NetworkManager-gtk-lib -p /sbin/ldconfig
%postun -n NetworkManager-gtk-lib -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS CONTRIBUTING ChangeLog
%attr(755,root,root) %{_bindir}/nm-applet
%attr(755,root,root) %{_bindir}/nm-connection-editor
%attr(755,root,root) %{_libexecdir}/nm-applet-migration-tool
%{_datadir}/GConf/gsettings/nm-applet.convert
%{_datadir}/glib-2.0/schemas/org.gnome.nm-applet.gschema.xml
%dir %{_datadir}/gnome-vpn-properties
%{_datadir}/nm-applet
%{_sysconfdir}/xdg/autostart/nm-applet.desktop
%{_desktopdir}/nm-applet.desktop
%{_desktopdir}/nm-connection-editor.desktop
%{_mandir}/man1/nm-applet.1*
%{_mandir}/man1/nm-connection-editor.1*
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/*/apps/*.svg

%files -n NetworkManager-gtk-lib
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnm-gtk.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnm-gtk.so.0
%{_libdir}/girepository-1.0/NMGtk-1.0.typelib
%{_datadir}/libnm-gtk

%files -n NetworkManager-gtk-lib-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnm-gtk.so
%{_datadir}/gir-1.0/NMGtk-1.0.gir
%{_includedir}/libnm-gtk
%{_pkgconfigdir}/libnm-gtk.pc

%if %{with gnomebt}
%files -n gnome-bluetooth-plugin-nma
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gnome-bluetooth/plugins/libnma.so
%endif
%changelog
* Tue Nov 12 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/NetworkManager-applet.git;a=log;h=master

* Tue Nov 12 2013 Łukasz Kieś <kiesiu@pld-linux.org> 64f1154
- updated to 0.9.8.8

* Sun Sep 29 2013 Artur Frysiak <artur@frysiak.net> a4747fb
- Release 2

* Sun Sep 15 2013 Jakub Bogusz <qboosh@pld-linux.org> 88c8621
- updated to 0.9.8.4

* Fri Jul 26 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 022e95d
- Release 2 (rebuild with ModemManager 1.0)

* Mon Jun 10 2013 Marcin Banasiak <marcin.banasiak@gmail.com> d1a3245
- Update to 0.9.8.2

* Fri Feb 22 2013 Jakub Bogusz <qboosh@pld-linux.org> e186e8d
- BR: gobject-introspection-devel

* Thu Feb 21 2013 Marcin Banasiak <marcin.banasiak@gmail.com> bfce94d
- Update to 0.9.8.0

* Sat Feb 16 2013 Elan Ruusamäe <glen@delfi.ee> 94c5557
- implicit gtk version, add note about gtk2 possibility

* Thu Nov 01 2012 Jakub Bogusz <qboosh@pld-linux.org> 67c6481
- updated to 0.9.6.4

* Mon Oct 08 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 4f4aafd
- Fixed build. Release 2

* Tue Aug 28 2012 Jakub Bogusz <qboosh@pld-linux.org> f1aade0
- updated to 0.9.6.2

* Sat Mar 31 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 9a81af7
- release 2

* Sat Mar 31 2012 Jakub Bogusz <qboosh@pld-linux.org> 348af20
- removed obsolete BRs

* Sat Mar 24 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 7028d9b
- updated to 0.9.4.1

* Tue Nov 29 2011 lisu <lisu@pld-linux.org> 23b7521
- minimal version of gtk+3-devel is 3.2.0

* Sat Nov 12 2011 Jakub Bogusz <qboosh@pld-linux.org> 359f117
- pl and dependencies for NetworkManager-gtk-lib* packages

* Fri Nov 11 2011 Marcin Banasiak <marcin.banasiak@gmail.com> bbb3912
- updated to 0.9.2.0

* Thu Sep 29 2011 Artur Frysiak <artur@frysiak.net> 7790ec9
- merge from DEVEL

* Sun Sep 25 2011 Jakub Bogusz <qboosh@pld-linux.org> 3521e38
- gnome-bt bcond
- strict internal deps
- removed empty files from doc
- disable-static instead of building and removing

* Mon Sep 19 2011 lisu <lisu@pld-linux.org> 951d5db
- rel 2

